var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
import React from 'react';
import { StyleSheet, View } from 'react-native';
import { useStack } from '../hooks';
import { preparePaddings } from '../helpers/preparePaddings';
export var Stack = function (_a) {
    var children = _a.children, spacing = _a.spacing, padding = _a.padding;
    var debug = useStack().debug;
    var renderDivider = function () {
        if (typeof spacing !== 'number') {
            return spacing;
        }
        return (React.createElement(View, { style: StyleSheet.flatten([
                {
                    width: spacing,
                    height: spacing,
                },
                debug && { backgroundColor: '#f0f' },
            ]) }));
    };
    var renderStack = function () {
        var elements = Array.isArray(children) ? children : [children];
        elements = elements.filter(function (child) {
            return Array.isArray(child) || React.isValidElement(child);
        });
        elements = elements.reduce(function (children, child, index) {
            if ((children === null || children === void 0 ? void 0 : children.length) === 0) {
                return [child];
            }
            var addSpaces = function () {
                if (renderDivider) {
                    return React.cloneElement(renderDivider(), {
                        key: "stack-divider-" + index,
                    });
                }
                return [];
            };
            // console.log(children, addSpaces(), child);
            return __spreadArrays(children, [addSpaces(), child]);
        }, []);
        return elements;
    };
    return (React.createElement(View, { style: preparePaddings(padding) }, renderStack()));
};
